import request from '@/utils/request'

// 查询燃气费清单列表
export function list37(query) {
  return request({
    url: '/basicData/xcrOtherInfo37/findByPage',
    method: 'get',
    params: query
  })
}

// 查询燃气费清单详细
export function get37(xhCodeId) {
  return request({
    url: '/basicData/xcrOtherInfo37/' + xhCodeId,
    method: 'get'
  })
}

// 新增燃气费清单
export function add37(data) {
  return request({
    url: '/basicData/xcrOtherInfo37',
    method: 'post',
    data: data
  })
}

// 修改燃气费清单
export function update37(data) {
  return request({
    url: '/basicData/xcrOtherInfo37',
    method: 'put',
    data: data
  })
}

// 删除燃气费清单
export function del37(xhCodeId) {
  return request({
    url: '/basicData/xcrOtherInfo37/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function del37Batch(ids) {
  return request.post('/basicData/xcrOtherInfo37/delete',ids)
}
